package com.flyfish.framework.utils;

import org.springframework.util.ObjectUtils;

import java.util.function.Supplier;

/**
 * 字段工具类
 *
 * @author wybab
 */
public final class FieldUtils {

    public static <T> T complete(T value, Supplier<T> supplier) {
        return ObjectUtils.isEmpty(value) ? supplier.get() : value;
    }

    public static <T> T complete(T value, T defaultValue) {
        return ObjectUtils.isEmpty(value) ? defaultValue : value;
    }
}
