package com.flyfish.framework.domain;


import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import com.flyfish.framework.domain.po.Permission;
import lombok.Getter;
import lombok.Setter;

/**
 * 权限查询实体
 *
 * @author wybab
 */
@Getter
@Setter
public class PermissionQo extends NameLikeQo<Permission> {

    private Boolean admin;

    @Override
    public CriteriaBuilder<Permission> criteriaBuilder() {
        return super.criteriaBuilder().with("admin");
    }
}
