package com.flyfish.framework.domain;

import com.flyfish.framework.builder.CriteriaBuilder;
import com.flyfish.framework.domain.base.NameLikeQo;
import com.flyfish.framework.domain.po.User;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserQo extends NameLikeQo<User> {

    private String userType;

    private String username;

    private String password;

    @Override
    public CriteriaBuilder<User> criteriaBuilder() {
        return super.criteriaBuilder().with("userType", "username", "password");
    }
}
