package com.flyfish.framework.service;

import com.flyfish.framework.domain.base.Qo;
import com.flyfish.framework.domain.po.User;
import com.flyfish.framework.repository.UserRepository;
import com.flyfish.framework.service.impl.BaseServiceImpl;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Optional;

@Service
public class UserService extends BaseServiceImpl<User> {

    /**
     * 获取用户数据
     *
     * @param username 用户
     * @return 结果
     */
    public Optional<User> findByUsername(String username) {
        return ((UserRepository) repository).findByUsername(username);
    }

    @Override
    public List<User> getList(Qo<User> query) {
        return super.getList(query);
    }
}
