package com.flyfish.framework.logging.config;

import com.flyfish.framework.logging.advice.LogAdvice;
import org.springframework.context.annotation.Bean;

/**
 * 日志配置
 *
 * @author wangyu
 */
public class LoggingConfig {

    /**
     * 启用日志切面
     *
     * @return 结果
     */
    @Bean
    public LogAdvice logAdvice() {
        return new LogAdvice();
    }
}
